Update SKU

Update a specified SKU.

Updating an existing SKU will set the Product type to Advanced, which ensures all Product and SKU fields will be shown to users in the Designer.

Required scope | ecommerce:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
product_idstringRequiredformat: "objectid"
Unique identifier for a Product
sku_idstringRequiredformat: "objectid"
Unique identifier for a SKU

Request

The SKU to update
skuobjectRequired
The SKU object
publishStatusenumOptionalDefaults to staging
Indicate whether your Product should be set as "staging" or "live"
Allowed values:

Response

Request was successful
idstringRead-onlyformat: "objectid"
Unique identifier for the Product
lastPublishedstringRead-onlyformat: "date-time"
The date the Product was last published
lastUpdatedstringRead-onlyformat: "date-time"
The date the Product was last updated
createdOnstringRead-onlyformat: "date-time"
The date the Product was created
fieldDataobject
Standard and Custom fields for a SKU
cmsLocaleIdstringRead-only
Identifier for the locale of the CMS item

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error